Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2021-41864

Published: 2 October 2021

prealloc_elems_and_freelist in kernel/bpf/stackmap.c in the Linux kernel before 5.14.12 allows unprivileged users to trigger an eBPF multiplication integer overflow with a resultant out-of-bounds write.

From the Ubuntu Security Team

It was discovered that an integer overflow could be triggered in the eBPF implementation in the Linux kernel when preallocating objects for stack maps. A privileged local attacker could use this to cause a denial of service or possibly execute arbitrary code.

Priority

Low

Cvss 3 Severity Score

7.8

Score breakdown

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
trusty Not vulnerable
(3.11.0-12.19)
xenial Not vulnerable
(4.4.0-2.16)
lunar Not vulnerable
(5.15.0-25.25)
impish
Released (5.13.0-23.23)
bionic
Released (4.15.0-166.174)
focal
Released (5.4.0-92.103)
hirsute
Released (5.11.0-44.48)
upstream
Released (5.15~rc5)
jammy Not vulnerable
(5.15.0-17.17)
kinetic Not vulnerable
(5.15.0-25.25)
mantic Not vulnerable
(5.15.0-25.25)
noble Not vulnerable
(5.15.0-25.25)
Patches:
Introduced by

557c0c6e7df8e14a46bd7560d193fa5bbc00a858

Fixed by 30e29a9a2bc6a4888335a6ede968b75cd329657a
linux-hwe
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial
Released (4.15.0-166.174~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
impish Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
bionic Ignored
(replaced by linux-hwe-5.4)
focal Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.11
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

focal
Released (5.11.0-44.48~20.04.2)
impish Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
bionic Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.4
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-92.103~18.04.2)
impish Does not exist

jammy Does not exist

lunar Does not exist

focal Does not exist

hirsute Does not exist

upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.8
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
bionic Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-hwe-5.11, was needed)
noble Does not exist

linux-hwe-edge
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Ignored
(superseded by linux-hwe)
impish Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
bionic Ignored
(superseded by linux-hwe-5.4)
focal Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
trusty Not vulnerable
(4.4.0-13.29~14.04.1)
xenial Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
bionic Does not exist

focal Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws
Launchpad, Ubuntu, Debian
trusty Not vulnerable
(4.4.0-1002.2)
xenial Not vulnerable
(4.4.0-1001.10)
lunar Not vulnerable
(5.15.0-1004.6)
impish
Released (5.13.0-1008.9)
upstream
Released (5.15~rc5)
bionic
Released (4.15.0-1118.125)
focal
Released (5.4.0-1061.64)
hirsute
Released (5.11.0-1023.24)
jammy Not vulnerable
(5.15.0-1002.4)
kinetic Not vulnerable
(5.15.0-1004.6)
mantic Not vulnerable
(5.15.0-1004.6)
noble Not vulnerable
(5.15.0-1004.6)
linux-aws-5.0
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

lunar Does not exist

impish Does not exist

bionic Ignored
(superseded by linux-aws-5.3)
focal Does not exist

hirsute Does not exist

upstream
Released (5.15~rc5)
jammy Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-5.11
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal
Released (5.11.0-1023.24~20.04.1)
hirsute Does not exist

lunar Does not exist

impish Does not exist

upstream
Released (5.15~rc5)
jammy Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-5.3
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

lunar Does not exist

impish Does not exist

bionic Ignored
(superseded by linux-aws-5.4)
focal Does not exist

hirsute Does not exist

upstream
Released (5.15~rc5)
jammy Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-5.4
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1061.64~18.04.1)
lunar Does not exist

impish Does not exist

focal Does not exist

hirsute Does not exist

upstream
Released (5.15~rc5)
jammy Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-5.8
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Ignored
(superseded by linux-aws-5.11, was needs-triage)
hirsute Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
impish Does not exist

jammy Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-hwe
Launchpad, Ubuntu, Debian
trusty Does not exist

bionic Does not exist

focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
xenial
Released (4.15.0-1118.125~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-kvm
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Not vulnerable
(4.4.0-1004.9)
bionic
Released (4.15.0-1105.107)
focal
Released (5.4.0-1051.53)
hirsute
Released (5.11.0-1021.23)
jammy Not vulnerable
(5.13.0-1007.7+22.04.1)
lunar Not vulnerable
(5.15.0-1004.4)
upstream
Released (5.15~rc5)
impish
Released (5.13.0-1007.7)
kinetic Not vulnerable
(5.15.0-1004.4)
mantic Does not exist

noble Does not exist

linux-azure-4.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic
Released (4.15.0-1129.142)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

upstream
Released (5.15~rc5)
impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp
Launchpad, Ubuntu, Debian
trusty Does not exist

bionic Ignored
(superseded by linux-gcp-5.3)
focal
Released (5.4.0-1059.63)
hirsute
Released (5.11.0-1024.26)
jammy Not vulnerable
(5.15.0-1001.3)
lunar Not vulnerable
(5.15.0-1003.6)
upstream
Released (5.15~rc5)
xenial
Released (4.15.0-1114.128~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
impish
Released (5.13.0-1008.9)
kinetic Not vulnerable
(5.15.0-1003.6)
mantic Not vulnerable
(5.15.0-1003.6)
noble Not vulnerable
(5.15.0-1003.6)
linux-aws-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

focal Not vulnerable
(5.13.0-1008.9~20.04.2)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-aws-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

focal Not vulnerable

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal
Released (5.4.0-1065.68)
hirsute
Released (5.11.0-1023.24)
jammy Not vulnerable
(5.15.0-1001.2)
lunar Not vulnerable
(5.15.0-1003.4)
upstream
Released (5.15~rc5)
impish
Released (5.13.0-1009.10)
trusty
Released (4.15.0-1129.142~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
xenial
Released (4.15.0-1129.142~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
kinetic Not vulnerable
(5.15.0-1003.4)
mantic Not vulnerable
(5.15.0-1003.4)
noble Not vulnerable
(5.15.0-1003.4)
linux-azure-5.11
Launchpad, Ubuntu, Debian
focal
Released (5.11.0-1023.24~20.04.1)
hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

bionic Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

trusty Does not exist

bionic Does not exist

focal Not vulnerable
(5.13.0-1009.10~20.04.2)
impish Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.19
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-6.2, was needs-triage)
xenial Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.4)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1065.68~18.04.1)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-azure-5.11, was needed)
noble Does not exist

linux-azure-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-azure-fde
Launchpad, Ubuntu, Debian
jammy Needs triage

lunar Does not exist

bionic Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

upstream
Released (5.15~rc5)
kinetic Does not exist

focal
Released (5.4.0-1065.68)
mantic Does not exist

noble Does not exist

linux-azure-fde-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable
(5.15.0-1007.8~20.04.1)
jammy Does not exist

kinetic Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

noble Does not exist

linux-bluefield
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.4.0-1023.26)
hirsute Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

jammy Not vulnerable
(5.15.0-1011.13)
mantic Does not exist

noble Does not exist

linux-dell300x
Launchpad, Ubuntu, Debian
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

bionic
Released (4.15.0-1033.38)
mantic Does not exist

noble Does not exist

linux-fips
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

focal Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Ignored
(end of standard support)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1114.128)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.11
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

focal
Released (5.11.0-1024.26~20.04.1)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

focal Not vulnerable
(5.13.0-1008.9~20.04.3)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.15
Launchpad, Ubuntu, Debian
focal Not vulnerable

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

bionic Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.4)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1059.63~18.04.1)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gcp-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-gcp-5.11, was needs-triage)
noble Does not exist

linux-gcp-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.3)
focal Does not exist

hirsute Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gke
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.4.0-1057.60)
hirsute Does not exist

impish Does not exist

jammy Not vulnerable
(5.15.0-1002.2)
lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Ignored
(end of standard support)
kinetic Does not exist

mantic Does not exist

noble Needs triage

linux-gke-4.15
Launchpad, Ubuntu, Debian
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

bionic Ignored
(superseded by linux-gke-5.0, was needs-triage)
noble Does not exist

linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needs-triage)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gke-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

lunar Does not exist

trusty Does not exist

xenial Does not exist

kinetic Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
noble Does not exist

linux-gke-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needs-triage)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gke-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1057.60~18.04.1)
hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

focal Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gkeop
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.4.0-1029.30)
hirsute Does not exist

impish Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

jammy Needs triage

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-gkeop-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1029.30~18.04.2)
focal Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

hirsute Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

upstream
Released (5.15~rc5)
focal
Released (5.13.0-23.23~20.04.2)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-hwe-5.19
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-hwe-6.2, was needs-triage)
noble Does not exist

linux-ibm
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1010.11)
hirsute Does not exist

impish Does not exist

jammy Not vulnerable
(5.15.0-1002.2)
lunar Not vulnerable
(5.15.0-1002.2)
trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

bionic Does not exist

kinetic Not vulnerable
(5.15.0-1002.2)
mantic Not vulnerable
(5.15.0-1002.2)
noble Not vulnerable
(5.15.0-1002.2)
linux-ibm-5.4
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

focal Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

bionic Not vulnerable
(5.4.0-1010.11~18.04.2)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-intel-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

focal Ignored
(end of kernel support, was needed)
noble Does not exist

linux-intel-iotg
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

impish Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

jammy Not vulnerable
(5.15.0-1004.6)
mantic Does not exist

noble Does not exist

linux-intel-iotg-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

impish Does not exist

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

focal Not vulnerable
(5.15.0-1003.5~20.04.1)
mantic Does not exist

noble Does not exist

linux-lowlatency
Launchpad, Ubuntu, Debian
lunar Not vulnerable
(5.15.0-24.24)
bionic Does not exist

focal Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

jammy Not vulnerable
(5.15.0-22.22)
upstream
Released (5.15~rc5)
kinetic Not vulnerable
(5.15.0-24.24)
mantic Not vulnerable
(5.15.0-24.24)
noble Not vulnerable
(5.15.0-24.24)
linux-lowlatency-hwe-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-lowlatency-hwe-5.19
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.2, was needs-triage)
noble Does not exist

linux-oem
Launchpad, Ubuntu, Debian
bionic Ignored
(replaced by linux-hwe-5.4, was needs-triage)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
kinetic Does not exist

xenial Ignored
(end of standard support)
mantic Does not exist

noble Does not exist

linux-oem-5.10
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.10.0-1051.53)
hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oem-5.13
Launchpad, Ubuntu, Debian
bionic Does not exist

focal
Released (5.13.0-1026.32)
hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oem-5.14
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

hirsute Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

focal
Released (5.14.0-1007.7)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oem-5.17
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

jammy Not vulnerable
(5.17.0-1003.3)
upstream
Released (5.15~rc5)
kinetic Not vulnerable
(5.17.0-1003.3)
mantic Does not exist

noble Does not exist

linux-oem-5.6
Launchpad, Ubuntu, Debian
bionic Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-oem-5.10, was needs-triage)
noble Does not exist

linux-oem-6.0
Launchpad, Ubuntu, Debian
lunar Does not exist

jammy Not vulnerable
(6.0.0-1006.6)
bionic Does not exist

focal Does not exist

kinetic Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-oem-6.1, was needs-triage)
xenial Does not exist

mantic Does not exist

noble Does not exist

linux-oem-6.1
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

trusty Does not exist

xenial Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-oem-6.5, was needs-triage)
noble Does not exist

linux-oem-osp1
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needs-triage)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
jammy Not vulnerable
(5.15.0-1001.3)
lunar Not vulnerable
(5.15.0-1002.4)
trusty Does not exist

upstream
Released (5.15~rc5)
impish
Released (5.13.0-1011.13)
xenial
Released (4.15.0-1085.93~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
bionic
Released (4.15.0-1085.93)
focal
Released (5.4.0-1059.63)
hirsute
Released (5.11.0-1023.24)
kinetic Not vulnerable
(5.15.0-1002.4)
mantic Not vulnerable
(5.15.0-1002.4)
noble Not vulnerable
(5.15.0-1002.4)
linux-oracle-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.3)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.11
Launchpad, Ubuntu, Debian
hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

bionic Does not exist

focal
Released (5.11.0-1023.24~20.04.1)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.13
Launchpad, Ubuntu, Debian
jammy Does not exist

lunar Does not exist

bionic Does not exist

impish Does not exist

trusty Does not exist

xenial Does not exist

focal Not vulnerable
(5.13.0-1011.13~20.04.2)
upstream
Released (5.15~rc5)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.15
Launchpad, Ubuntu, Debian
lunar Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.4)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.4
Launchpad, Ubuntu, Debian
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

bionic
Released (5.4.0-1059.63~18.04.1)
kinetic Does not exist

mantic Does not exist

noble Does not exist

linux-oracle-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

kinetic Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-oracle-5.11, was needs-triage)
noble Does not exist

linux-raspi
Launchpad, Ubuntu, Debian
bionic Does not exist

impish
Released (5.13.0-1012.14)
jammy Not vulnerable
(5.15.0-1002.2)
kinetic Not vulnerable
(5.15.0-1005.5)
lunar Not vulnerable
(5.15.0-1005.5)
trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

focal
Released (5.4.0-1048.53)
hirsute
Released (5.11.0-1024.26)
mantic Not vulnerable
(5.15.0-1005.5)
noble Not vulnerable
(5.15.0-1005.5)
linux-raspi-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1048.53~18.04.1)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

mantic Does not exist

noble Does not exist

linux-raspi2
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1101.108)
focal Ignored
(replaced by linux-raspi)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Ignored
(end of standard support, was needs-triage)
mantic Does not exist

noble Does not exist

linux-raspi2-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(end of standard support, was needs-triage)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

mantic Does not exist

noble Does not exist

linux-riscv
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-riscv-5.8)
hirsute
Released (5.11.0-1024.25)
jammy Not vulnerable
(5.13.0-1007.7+22.04.1)
kinetic Not vulnerable
(5.15.0-1007.7)
lunar Not vulnerable
(5.15.0-1007.7)
trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

impish
Released (5.13.0-1007.7)
bionic Does not exist

mantic Not vulnerable
(5.15.0-1007.7)
noble Not vulnerable
(5.15.0-1007.7)
linux-riscv-5.11
Launchpad, Ubuntu, Debian
focal
Released (5.11.0-1024.25~20.04.1)
hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

bionic Does not exist

mantic Does not exist

noble Does not exist

linux-riscv-5.8
Launchpad, Ubuntu, Debian
bionic Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Does not exist

mantic Does not exist

focal Ignored
(superseded by linux-riscv-5.11, was needs-triage)
noble Does not exist

linux-snapdragon
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1118.127)
focal Does not exist

hirsute Does not exist

impish Does not exist

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream
Released (5.15~rc5)
xenial Ignored
(end of standard support, was needs-triage)
mantic Does not exist

noble Does not exist

linux-nvidia
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

noble Needs triage

linux-gkeop-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Needs triage

jammy Does not exist

kinetic Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

noble Does not exist

linux-aws-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-aws-6.2, was needs-triage)
noble Does not exist

linux-gcp-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-gcp-6.2, was needs-triage)
noble Does not exist

linux-riscv-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
noble Does not exist

linux-allwinner
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

upstream Ignored
(end of life, was needs-triage)
mantic Does not exist

noble Does not exist

linux-allwinner-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

mantic Does not exist

upstream Ignored
(end of life, was needs-triage)
noble Does not exist

linux-starfive
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

kinetic Not vulnerable

lunar Not vulnerable

upstream Needs triage

mantic Not vulnerable

noble Does not exist

linux-starfive-5.19
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

upstream Ignored
(end of life, was needs-triage)
mantic Does not exist

noble Does not exist

linux-aws-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Ignored
(superseded by linux-aws-6.5, was needs-triage)
mantic Does not exist

noble Does not exist

linux-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-hwe-6.5, was needs-triage)
noble Does not exist

linux-lowlatency-hwe-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.5, was needs-triage)
mantic Does not exist

noble Does not exist

linux-ibm-5.15
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Not vulnerable

jammy Does not exist

lunar Does not exist

upstream Needs triage

mantic Does not exist

noble Does not exist

linux-gcp-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-gcp-6.5, was needs-triage)
noble Does not exist

linux-azure-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-azure-6.5, was needs-triage)
noble Does not exist

linux-azure-fde-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(replaced by linux-azure-6.5, was needs-triage)
noble Does not exist

linux-iot
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

noble Does not exist

linux-azure-fde-5.19
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Ignored
(superseded by linux-azure-fde-6.2, was needs-triage)
xenial Does not exist

mantic Does not exist

noble Does not exist

linux-riscv-5.15
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

jammy Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

noble Does not exist

linux-xilinx-zynqmp
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Not vulnerable

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

jammy Not vulnerable

mantic Does not exist

noble Does not exist

linux-nvidia-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-nvidia-6.5, was needs-triage)
noble Does not exist

linux-starfive-6.2
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Ignored
(superseded by linux-starfive-6.5, was needs-triage)
noble Does not exist

linux-laptop
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

lunar Does not exist

mantic Not vulnerable

upstream Needs triage

noble Does not exist

linux-oem-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-lowlatency-hwe-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

lunar Does not exist

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-riscv-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-starfive-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-aws-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-azure-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-gcp-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-oracle-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-nvidia-6.5
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Not vulnerable

mantic Does not exist

upstream Needs triage

noble Does not exist

linux-aws-fips
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Needs triage

linux-azure-fips
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Needs triage

linux-gcp-fips
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Needs triage

linux-oem-6.8
Launchpad, Ubuntu, Debian
trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Not vulnerable

upstream Needs triage

Severity score breakdown

Parameter Value
Base score 7.8
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H